server:
  port: 8875
  shutdown: graceful #开启优雅关闭

# 日志配置
logging:
  level:
    root: INFO
#  file:
#    path: /root/temperature_war

spring:
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    #url: jdbc:mysql://192.168.3.29:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://127.0.0.1:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.2.18:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.1.92:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.3.7:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.3.7:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.1.24:3306/weather?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.3.24:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.1.24:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://47.242.184.139:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:postgresql://192.168.1.69:5432/postgres
    #url: jdbc:postgresql://10.19.1.29:54326/go_mqtt
    url: jdbc:postgresql://192.168.3.26:5432/go_mqtt
    driverClassName: org.postgresql.Driver #com.mysql.cj.jdbc.Driver com.mysql.jdbc.Driver
    username: postgres
    password: 452131wW
  jpa:
    database: POSTGRESQL # 配置 DBMS 类型
    show-sql: true # 配置是否将执行的 SQL 输出到日志
    open-in-view: true
    #hibernate:
    #  ddl-auto: update  # 第一次建表create  后面用update，要不然每次重启都会新建表
    properties:
      hibernate:
        format_sql: true
        dialect: org.hibernate.dialect.PostgreSQLDialect
        ddl-auto: update
        hbm2ddl:
          auto: update
  servlet:
    multipart:
      # 开启 multipart 上传功能
      enabled: true
      # 文件写入磁盘的阈值
      file-size-threshold: 2KB
      # 最大文件大小
      max-file-size: 20MB
      # 最大请求大小
      max-request-size: 20MB
